./www/ruby-rack16, Modular Ruby webserver interface

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.6.11, Package name: ruby24-rack16-1.6.11, Maintainer: pkgsrc-users

Rack provides a minimal, modular and adaptable interface for developing
web applications in Ruby. By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.


Required to run:
[lang/ruby24-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 64a0cd32f46c0ff44ffda4055048fe6309903110
RMD160: 9a9435b6842a068eacf3d3a7d9348a656c6ab9af
Filesize: 225 KB

Version history: (Expand)


CVS history: (Expand)


   2019-02-03 16:53:03 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
www/ruby-rack16: update to 1.6.11

* pkgsrc change: add "USE_LANGAUGES= # none" line.

Update to 1.6.11 which fixes security problems of CVE-2018-16471.
(CVE-2018-16470 is only for rack 2.0.x.)
   2017-06-04 16:37:01 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Fix PLIST.
   2017-06-04 16:17:27 by Takahiro Kambe | Files touched by this commit (5)
Log message:
Import ruby-rack as ruby-rack16 with adding "16" to PKGBASE.